Page MenuHomePhabricator

Transactions - add infrastructure for "mentions"
ClosedPublic

Authored by btrahan on Sep 9 2014, 7:59 PM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Apr 17, 2:57 PM
Unknown Object (File)
Thu, Apr 11, 7:10 AM
Unknown Object (File)
Thu, Apr 11, 6:27 AM
Unknown Object (File)
Sun, Apr 7, 2:42 AM
Unknown Object (File)
Thu, Apr 4, 6:58 PM
Unknown Object (File)
Sun, Mar 24, 1:08 AM
Unknown Object (File)
Mar 21 2024, 3:31 PM
Unknown Object (File)
Jan 29 2024, 11:26 PM

Details

Summary

Fixes T4036. Now if you say something on diff X like "This reminds me of Tx and Dy and commitHashFoo and Px." each of those objects gets a little visible transaction that the mention occurred. No feed, email, or notifications.

Test Plan

made a comment like above and verified transactions. also submitted a diff that "Fixes Tx" and Tx did not get the transaction as expected.

Diff Detail

Repository
rP Phabricator
Lint
Lint Skipped
Unit
Tests Skipped

Event Timeline

btrahan retitled this revision from to Transactions - add infrastructure for "mentions".
btrahan updated this object.
btrahan edited the test plan for this revision. (Show Details)
btrahan added a reviewer: epriestley.
epriestley edited edge metadata.
epriestley added a subscriber: joshuaspence.

We should pick different constants, 43 and 44 were previously used by TYPE_OBJECT_HAS_COLUMN and TYPE_COLUMN_HAS_OBJECT and need some cleanup (I think I didn't file anything, but @joshuaspence hit a minor related issue earlier). Use 51 + 52 instead?

src/applications/transactions/editor/PhabricatorApplicationTransactionEditor.php
179

Array typehint?

This revision is now accepted and ready to land.Sep 9 2014, 8:56 PM
btrahan edited edge metadata.
  • use 51 and 52
  • add array typehint
btrahan updated this revision to Diff 25146.

Closed by commit rPc75495e63fa0 (authored by @btrahan).